/// <reference types="react" />
import { INote } from '../../../@types';
import { IAddNoteProps } from './AddNotes';
import { INoteProps } from './types';
export interface INotesRowProps extends Omit<INoteProps, 'onReply'> {
    /**
     * Defines Add Notes component props
     */
    addNotesProps?: Partial<IAddNoteProps>;
    /**
     * Defines on reply event
     */
    onReply?: (parentId: string, note: INote) => void;
    /**
     * Text while editing
     */
    editingText?: string;
    /**
     * Text while replyingText
     */
    replyingText?: string;
}
export declare function NotesRow({ addNotesProps, hidePriority, hideReply, isOwnNote, isPlainText, note, onDelete, onEdit, onReply, editingText, replyingText, }: INotesRowProps): JSX.Element;
//# sourceMappingURL=NotesRow.d.ts.map